RDMnet::RPT::rpt_header Struct Reference

The rpt_header struct. More...

`#include <rpt.h>`

Inheritance diagram for RDMnet::RPT::rpt_header:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream) override
| rpt_header::iStream More...
void | oStream (ACN::PDU::Stream) const override
| rpt_header::oStream More...

## Public Attributes

RDM::UID | source
| source UID
uint16_t | source_endpoint
| source endpoint number
RDM::UID | destination
| destination UID
uint16_t | destination_endpoint
| destination endpoint number

## Detailed Description

The rpt_header struct.

## Member Function Documentation

## iStream()

void RDMnet::RPT::rpt_header::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

rpt_header::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void RDMnet::RPT::rpt_header::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

rpt_header::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t RDMnet::RPT::rpt_header::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rpt/rpt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rpt/rpt.cpp